## DMAPRecord DMAPRecord |

## Functions

GByteArray * | dmap_record_to_blob ()
gboolean | dmap_record_set_from_blob ()

## Types and Values

struct | DMAPRecordIface
typedef | bitwise
enum | DMAPMediaKind

## Object Hierarchy

        GEnum
        ╰── DMAPMediaKind

## Description

## Functions

### dmap_record_to_blob ()

    GByteArray *
    dmap_record_to_blob (DMAPRecord *record);

#### Parameters

record | A DMAPRecord. |

#### Returns

A byte array representation of the record.

### dmap_record_set_from_blob ()

    gboolean
    dmap_record_set_from_blob (DMAPRecord *record,
                               GByteArray *blob);

#### Returns

## Types and Values

### struct DMAPRecordIface

    struct DMAPRecordIface {
    	GTypeInterface parent;

    	GByteArray *(*to_blob) (DMAPRecord * record);
    	gboolean   (*set_from_blob) (DMAPRecord * record, GByteArray * blob);
    };

### bitwise

    typedef unsigned long long bitwise;

### enum DMAPMediaKind

#### Members

DMAP_MEDIA_KIND_MUSIC |  |
DMAP_MEDIA_KIND_MOVIE |  |
DMAP_MEDIA_KIND_PODCAST |  |
DMAP_MEDIA_KIND_TV_SHOW |  |